<div>
    <h2 class="pb-2 header">
        <span id="user-management-page-heading" jhiTranslate="userManagement.home.title">Users</span>

        <button class="btn btn-primary float-right jh-create-entity" [routerLink]="['./new']">
            <span jhiTranslate="userManagement.home.createLabel">Create</span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="table-responsive border-table" *ngIf="users">
        <table class="table table-striped mb-0" aria-describedby="user-management-page-heading">
            <thead class="thead-light">
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="login"><span jhiTranslate="userManagement.login">Login</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="email"><span jhiTranslate="userManagement.email">Email</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                    <th scope="col"  jhiSortBy="langKey"> <span jhiTranslate="userManagement.langKey">Lang Key</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"><span jhiTranslate="userManagement.profiles">Profiles</span></th>
                    <th scope="col" jhiSortBy="createdDate"><span jhiTranslate="userManagement.createdDate">Created Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="lastModifiedBy"><span jhiTranslate="userManagement.lastModifiedBy">Last Modified By</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="lastModifiedDate"><span jhiTranslate="userManagement.lastModifiedDate">Last Modified Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody *ngIf="users">
                <tr *ngFor="let user of users; trackBy: trackIdentity">
                    <td><a [routerLink]="['./', user.login, 'view']">{{ user.id }}</a></td>
                    <td>{{ user.login }}</td>
                    <td>{{ user.email }}</td>
                    <td>
                        <button class="btn btn-danger btn-sm" (click)="setActive(user, true)" *ngIf="!user.activated"
                                jhiTranslate="userManagement.deactivated">Deactivated</button>
                        <button class="btn btn-success btn-sm" (click)="setActive(user, false)" *ngIf="user.activated"
                                [disabled]="!currentAccount || currentAccount.login === user.login" jhiTranslate="userManagement.activated">Activated</button>
                    </td>
                    <td>{{ user.langKey }}</td>
                    <td>
                        <div *ngFor="let authority of user.authorities">
                            <span class="badge badge-info">{{ authority }}</span>
                        </div>
                    </td>
                    <td>{{ user.createdDate | date:'dd/MM/yy HH:mm' }}</td>
                    <td>{{ user.lastModifiedBy }}</td>
                    <td>{{ user.lastModifiedDate | date:'dd/MM/yy HH:mm' }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <a ngbTooltip="{{'entity.action.view' | translate}}" class="custom-icon-link"  type="submit"
                                    [routerLink]="['./', user.login, 'view']">
                                <i class="bi bi-eye"></i>
                            </a>

                            <a ngbTooltip="{{'entity.action.edit' | translate}}" class="custom-icon-link" type="submit"
                                    [routerLink]="['./', user.login, 'edit']"
                                    queryParamsHandling="merge">
                                <i class="bi bi-pencil"></i>
                            </a>
                            <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button" (click)="deleteUser(user)"
                                   [disabled]="!currentAccount || currentAccount.login === user.login">
                                <i  class="bi bi-trash"></i>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="users" class="pt-2">
        <div class="d-flex justify-content-end">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="d-flex justify-content-end">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
        </div>
    </div>
</div>
